Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.client
Class HttpConnection

    java.lang.Object
      org.eclipse.jetty.client.HttpConnection

All Implemented Interfaces:
  Connection

    public class HttpConnection

extends java.lang.Object
implements Connection

Version:
  $Revision: 879 $ $Date: 2009-09-11 16:13:28 +0200 (Fri, 11 Sep 2009) $

Method Summary
`boolean` | `cancelIdleTimeout()`
`void` | `close()`
`void` | `closed()`
`void` | `dump()`
`HttpDestination` | `getDestination()`
`EndPoint` | `getEndPoint()`
`long` | `getTimeStamp()`
`Connection` | `handle()` Handle the connection.
`boolean` | `isIdle()`
`boolean` | `isReserved()`
`boolean` | `isSuspended()`
`protected void` | `reset(boolean returnBuffers)`
`boolean` | `send(HttpExchange ex)`
`void` | `setDestination(HttpDestination destination)`
`void` | `setIdleTimeout()`
`void` | `setReserved(boolean reserved)`
`java.lang.String` | `toDetailString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### dump

    public void dump()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    `getTimeStamp` in interface `Connection`

### setReserved

    public void setReserved(boolean reserved)

### isReserved

    public boolean isReserved()

### getDestination

    public HttpDestination getDestination()

### setDestination

    public void setDestination(HttpDestination destination)

### send

    public boolean send(HttpExchange ex)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### handle

    public Connection handle()
                      throws java.io.IOException

  Description copied from interface: `Connection`
  Handle the connection.

  Specified by:
    `handle` in interface `Connection`
  Returns:
    The Connection to use for the next handling of the connection. This allows protocol upgrades and support for CONNECT.
  Throws:
    `java.io.IOException`

### isIdle

    public boolean isIdle()

  Specified by:
    `isIdle` in interface `Connection`

### isSuspended

    public boolean isSuspended()

  Specified by:
    `isSuspended` in interface `Connection`
  See Also:
    `Connection.isSuspended()`

### closed

    public void closed()

  Specified by:
    `closed` in interface `Connection`

### getEndPoint

    public EndPoint getEndPoint()

### reset

    protected void reset(boolean returnBuffers)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toDetailString

    public java.lang.String toDetailString()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### setIdleTimeout

    public void setIdleTimeout()

### cancelIdleTimeout

    public boolean cancelIdleTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.